Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - k -

- kdf() : Botan::HKDF , Botan::HKDF_Expand , Botan::HKDF_Extract , Botan::KDF1 , Botan::KDF1_18033 , Botan::KDF2 , Botan::KDF , Botan::SP800_108_Counter , Botan::SP800_108_Feedback , Botan::SP800_108_Pipeline , Botan::SP800_56C , Botan::TLS_12_PRF , Botan::TLS_PRF , Botan::X942_PRF , CK_ECDH1_DERIVE_PARAMS , CK_ECDH2_DERIVE_PARAMS , CK_ECDH_AES_KEY_WRAP_PARAMS , CK_ECMQV_DERIVE_PARAMS , CK_GOSTR3410_DERIVE_PARAMS , CK_X9_42_DH1_DERIVE_PARAMS , CK_X9_42_DH2_DERIVE_PARAMS , CK_X9_42_MQV_DERIVE_PARAMS
- KDF1() : Botan::KDF1
- KDF1_18033() : Botan::KDF1_18033
- KDF2() : Botan::KDF2
- kdf_spec() : Botan::ECIES_KA_Params
- Keccak_1600() : Botan::Keccak_1600
- kem_decrypt() : Botan::PK_Ops::KEM_Decryption , Botan::PK_Ops::KEM_Decryption_with_KDF
- KEM_Decryption_with_KDF() : Botan::PK_Ops::KEM_Decryption_with_KDF
- kem_encrypt() : Botan::PK_Ops::KEM_Encryption , Botan::PK_Ops::KEM_Encryption_with_KDF
- KEM_Encryption_with_KDF() : Botan::PK_Ops::KEM_Encryption_with_KDF
- kex_algo() : Botan::TLS::Ciphersuite
- Key_Agreement_with_KDF() : Botan::PK_Ops::Key_Agreement_with_KDF
- key_data() : Botan::XMSS_WOTS_PublicKey
- key_length() : Botan::Curve25519_PublicKey , Botan::DL_Scheme_PublicKey , Botan::EC_PublicKey , Botan::McEliece_PublicKey , Botan::Public_Key , Botan::RSA_PublicKey , Botan::TPM_PrivateKey , Botan::XMSS_PublicKey , Botan::XMSS_WOTS_Addressed_PublicKey , Botan::XMSS_WOTS_PublicKey
- Key_Length_Specification() : Botan::Key_Length_Specification
- Key_Mask : Botan::XMSS_Address
- key_material_export() : Botan::TLS::Channel
- key_spec() : Botan::ANSI_X919_MAC , Botan::Block_Cipher_Fixed_Params< BS, KMIN, KMAX, KMOD > , Botan::Cascade_Cipher , Botan::CBC_MAC , Botan::CBC_Mode , Botan::CCM_Mode , Botan::CFB_Mode , Botan::ChaCha20Poly1305_Mode , Botan::ChaCha , Botan::Cipher_Mode , Botan::Cipher_Mode_Filter , Botan::CMAC , Botan::CTR_BE , Botan::EAX_Mode , Botan::GCM_Mode , Botan::GHASH , Botan::GMAC , Botan::HMAC , Botan::Keyed_Filter , Botan::Lion , Botan::MAC_Filter , Botan::OCB_Mode , Botan::OFB , Botan::Poly1305 , Botan::RC4 , Botan::Salsa20 , Botan::SHAKE_128_Cipher , Botan::SipHash , Botan::SIV_Mode , Botan::Stream_Cipher_Mode , Botan::StreamCipher_Filter , Botan::SymmetricAlgorithm , Botan::TLS::TLS_CBC_HMAC_AEAD_Mode , Botan::XTS_Mode
- key_type() : Botan::PKCS11::DomainParameterProperties , Botan::PKCS11::KeyProperties
- Key_Usage() : Botan::Cert_Extension::Key_Usage
- keylength_multiple() : Botan::Key_Length_Specification
- KeyProperties() : Botan::PKCS11::KeyProperties
- keystream_buf() : Botan::CFB_Mode
- known_version() : Botan::TLS::Protocol_Version